<?php

namespace Ems\Services;

use Doctrine\ORM\EntityManager;

use Util\Environment;

use Ems\Repository\TreinamentoRepository;

class TreinamentoService {
    /** @var Environment */
    protected $environment;

    /** @var TreinamentoRepository */
    protected $treinamentoRepository;

    public function __construct(
        TreinamentoRepository $treinamentoRepository,
        Environment $environment
    ) {
        $this->treinamentoRepository       = $treinamentoRepository;
        $this->environment                  = $environment;
    }
    
    public function getCurso(): array {
        $nrOrg = $this->environment->getNrOrg();
        $nrOrgPadrao = $this->environment->getNrOrgPadrao();
        
        $params = array(
            'P_NRORG'           => $nrOrg,
            'P_NRORG_PADRAO'    => $nrOrgPadrao,
        );
        
        return $this->treinamentoRepository->getCurso($params);
    }
    
    public function getPerfilAcesso(): array {
        $nrOrg = $this->environment->getNrOrg();
        $nrOrgPadrao = $this->environment->getNrOrgPadrao();
        
        $params = array(
            'P_NRORG'           => $nrOrg,
            'P_NRORG_PADRAO'    => $nrOrgPadrao,
        );
        
        return $this->treinamentoRepository->getPerfilAcesso($params);
    }
    
    public function getMetodo(): array {
        $nrOrg = $this->environment->getNrOrg();
        $nrOrgPadrao = $this->environment->getNrOrgPadrao();
        
        $params = array(
            'P_NRORG'           => $nrOrg,
            'P_NRORG_PADRAO'    => $nrOrgPadrao,
        );
        
        return $this->treinamentoRepository->getMetodo($params);
    }
}
